#!/bin/sh -efu

. install2-init-functions

mv $destdir/etc/cups/cupsd.conf $destdir/etc/cups/cupsd.conf.rpmsafe
cat >> $destdir/etc/cups/cupsd.conf << EOF
LogLevel info
SystemGroup sys root
# Allow remote access
Port 631
Listen /var/run/cups/cups.sock
# Show shared printers on the local network.
Browsing On
BrowseOrder allow,deny
BrowseAllow all
DefaultAuthType Basic
<Location />
  # Allow remote administration...
  Order allow,deny
  Allow @LOCAL
</Location>
<Location /admin>
  # Allow remote administration...
  Order allow,deny
  Allow @LOCAL
</Location>
<Location /admin/conf>
  AuthType Default
  Require user @SYSTEM
  # Allow remote access to the configuration files...
  Order allow,deny
  Allow @LOCAL
</Location>
<Policy default>
  <Limit Send-Document Send-URI Hold-Job Release-Job Restart-Job Purge-Jobs Set-Job-Attributes Create-Job-Subscription Renew-Subscription Cancel-Subscription Get-Notifications Reprocess-Job Cancel-Current-Job Suspend-Current-Job Resume-Job CUPS-Move-Job>
    Require user @OWNER @SYSTEM
    Order deny,allow
  </Limit>
  <Limit CUPS-Add-Modify-Printer CUPS-Delete-Printer CUPS-Add-Modify-Class CUPS-Delete-Class CUPS-Set-Default>
    AuthType Default
    Require user @SYSTEM
    Order deny,allow
  </Limit>
  <Limit Pause-Printer Resume-Printer Enable-Printer Disable-Printer Pause-Printer-After-Current-Job Hold-New-Jobs Release-Held-New-Jobs Deactivate-Printer Activate-Printer Restart-Printer Shutdown-Printer Startup-Printer Promote-Job Schedule-Job-After CUPS-Accept-Jobs CUPS-Reject-Jobs>
    AuthType Default
    Require user @SYSTEM
    Order deny,allow
  </Limit>
  <Limit Cancel-Job CUPS-Authenticate-Job>
    Require user @OWNER @SYSTEM
    Order deny,allow
  </Limit>
  <Limit All>
    Order deny,allow
  </Limit>
</Policy>
EOF

cupspath=$destdir/usr/share/doc/cups-1.3.9
cp -r $cupspath/images $cupspath/images.default
cp $cupspath/cups.css $cupspath/cups.css.default

ls -1 $cupspath/images | grep ^t | while read line; do convert -fill \#4fafb8 -opaque \#bbbb88 $cupspath/images/$line $cupspath/images/$line; convert -fill \#178093 -opaque \#cccc99 $cupspath/images/$line $cupspath/images/$line; done
ls -1 $cupspath/images | grep ^bo | while read line; do convert -fill \#4fafb8 -opaque \#bbbb88 $cupspath/images/$line $cupspath/images/$line; convert -fill \#178093 -opaque \#cccc99 $cupspath/images/$line $cupspath/images/$line; done
ls -1 $cupspath/images | grep ^ta | while read line; do convert -fill \#178093 -opaque \#666633 $cupspath/images/$line $cupspath/images/$line; done
ls -1 $cupspath/images | grep ^bu | while read line; do convert -fill \#178093 -opaque \#666633 $cupspath/images/$line $cupspath/images/$line; done

sed -i -e '{ s/cccc99/cdcdcd/; s/666633/178093/; s/999966/7dccd0/; s/993300/178093/; s/663300/178093/; s/eeeebb/EEF2F5/; s/ddddaa/ffffff/; s/bbbb88/4fafb8/; }' $cupspath/cups.css
sed -i -e '2 { s/cdcdcd/178093/; }' $cupspath/cups.css
